// This file is released under the 3-clause BSD license. See COPYING-BSD.


function builder_gw_c()

  // unload previous gateway
  [bOK, ilib] = c_link('libxcos_toolbox_predictive_c');
  if bOK then
    ulink(ilib);
  end

  gw_abs_path = get_absolute_file_path("builder_gateway_c.sce");

  includes_src_c = ilib_include_flag([gw_abs_path + "../../src/c/predictive"]); 

  names = ["predictive_stub", "sci_predictive_stub";                                            ..
          ];
  src   = ["sci_predictive_stub.c",                                                       ..
          ];

  tbx_build_gateway("xcos_toolbox_predictive_c",                                    ..
                    names,                                                          ..
                    src,                                                            ..
                    get_absolute_file_path("builder_gateway_c.sce"),                ..
                    ["../../src/c/libxcos_tbx_predictive"],                         ..
                    "",                                                             ..
                    includes_src_c);

endfunction

builder_gw_c();
clear builder_gw_c; // remove builder_gw_c on stack
